from metadocker.cmdline.commands.base import Command, Argument
from metadocker.docker import DockerBuilder
from metadocker.docker.driver import driver
import os, sys

class BuildCommand(Command):
    NAME = "build"
    HELP = "Crée le conteneur"
    ARGUMENTS = [
        Argument("--dockerfile", "-d",  default=None, help="Fichier de dockerfile à utiliser. Si non donné utilise un fichier temporarie"),
        Argument("--dry-run",  default=None, help="Ne lance pas docker"),
    ]

    def run(self, env):
        docker = DockerBuilder()
        env.build_docker_file(docker, self.dockerfile)
        if not self.dry_run:
            driver.build(self.dockerfile, tag=docker.tag)


